Redmine - Defect #23912

No validation error when date value is invalid in time entries filter
2016-09-23 15:03 - Pavel Potcheptsov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed Affected version: 3.3.0
Description

For example if | go to http://example.com/projects/my_project/time_entries and

choose date between real dates by using datepicker then it shows correct data.

But once | enter or change any date to fake one, like from 2016-09-01 to 2016-09-010 no matter for start or end date's field then it
shows total time from the very beginning of the project.

Expected behavior: wrong date message.

Associated revisions

Revision 16635 - 2017-06-07 21:56 - Jean-Philippe Lang

DOn't show time entries when query is invalid (#23912).

History

#1 - 2016-10-10 18:58 - Toshi MARUYAMA

- Description updated

#2 - 2016-10-10 18:59 - Toshi MARUYAMA

- Description updated

#3 - 2017-05-27 16:42 - Marius BALTEANU
- File Screen Shot 2017-05-27 at 17.41.20.png added

| cannot reproduce on the current trunk (r16578). If | use the following query:

utf8=0 &set_filter=1l&sort=spent_on:desc&f[]=spent_on&op[spent_on]==&v[spent_on] []=2016-09-010&f[]=&c[]=spent_on
&c[]l=useré&c[]=activity&c[]=issueé&c[]=commentsé&c[]=hours&group_by=&t []=hours&t[]=

| receive the error "Date is invalid" (screenshot attached).

#4 - 2017-05-27 16:48 - Marius BALTEANU

Considering that the issue reproduces on Redmine 3.3.3, but not in the current trunk, | think that we can mark this defect as fixed in 3.4.0.

#5 - 2017-05-28 08:12 - Go MAEDA
- Subject changed from Validate date input to No validation error when date value is invalid in time entries filter
- Status changed from New to Resolved

- Target version set to 3.4.0

It seems to be fixed in r15649. "Date is invalid" error is displayed as expected.

#6 - 2017-06-07 21:58 - Jean-Philippe Lang
- Status changed from Resolved to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/repository/svn/revisions/16578
https://www.redmine.org/versions/125
https://www.redmine.org/versions/119
https://www.redmine.org/projects/redmine/repository/svn/revisions/15649

Marius BALTEANU wrote:

| receive the error "Date is invalid" (screenshot attached).

Indeed, but all the time entries are displayed below this message. It's fixed in r16635 (no results displayed when query is invalid)

#7 - 2017-06-20 13:54 - Pavel Potcheptsov
Thanks!
